<html>
    <head>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}">
    </head>
    <body>

        {% block content %}{% endblock %}
    </body>

    <script>
        var op = document.getElementById("location").getElementsByTagName("option");
        for (var i = 0; i < op.length; i++) {
          // lowercase comparison for case-insensitivity
          (op[i].value.toLowerCase() == " ")
            ? op[i].disabled = true
            : op[i].disabled = false ;
        }

        var op = document.getElementById("category").getElementsByTagName("option");
        for (var i = 0; i < op.length; i++) {
          // lowercase comparison for case-insensitivity
          (op[i].value.toLowerCase() == " ")
            ? op[i].disabled = true
            : op[i].disabled = false ;
        }
        var op = document.getElementById("season").getElementsByTagName("option");
        for (var i = 0; i < op.length; i++) {
          // lowercase comparison for case-insensitivity
          (op[i].value.toLowerCase() == " ")
            ? op[i].disabled = true
            : op[i].disabled = false ;
        }

        document.forms['myform'].onsubmit = function()
   {

     var e = document.getElementById("location");
     var strUser = e.options[e.selectedIndex].value;
     var s = document.getElementById("category");
     var asd = s.options[s.selectedIndex].value;
     if((strUser)!=" " && (asd)!=" ")
     {

       return true;
     } else {
                  alert('Заполните все поля');
      return false;
     }
   }
    </script>
</html>